Package bitel.billing.server.admin.resource.bean

# Class IPResourceCategoryManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
bitel.billing.server.admin.resource.bean.ResourceCategoryManager<IPResourceCategory>
bitel.billing.server.admin.resource.bean.IPResourceCategoryManager

public class IPResourceCategoryManager extends ResourceCategoryManager<IPResourceCategory>

- ## Field Summary

  ### Fields inherited from class bitel.billing.server.admin.resource.bean.ResourceCategoryManager

  `con, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IPResourceCategoryManager(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteCategory(int id)`
  `protected IPResourceCategory`
  `getCategoryFromRs(ResultSet rs)`
  `protected String`
  `getTableName()`
  `void`
  `updateCategory(IPResourceCategory category)`

  ### Methods inherited from class bitel.billing.server.admin.resource.bean.ResourceCategoryManager

  `getCategory, getCategoryTree, getSubCount, loadStandartCategoryFields`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IPResourceCategoryManager

    public IPResourceCategoryManager(Connection con, int mid)

- ## Method Details

  - ### getCategoryFromRs

    protected IPResourceCategory getCategoryFromRs(ResultSet rs)
    Specified by:
      `getCategoryFromRs` in class `ResourceCategoryManager<IPResourceCategory>`

  - ### updateCategory

    public void updateCategory(IPResourceCategory category)

  - ### deleteCategory

    public void deleteCategory(int id)
    Overrides:
      `deleteCategory` in class `ResourceCategoryManager<IPResourceCategory>`

  - ### getTableName

    protected String getTableName()
    Specified by:
      `getTableName` in class `ResourceCategoryManager<IPResourceCategory>`